PowerModelSpecPower_BAZAR_MultiProc (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSpecPower_BAZAR_MultiProc

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSpecPowerDVFS
  - - org.cloudbus.cloudsim.power.models.PowerModelSpecPower_BAZAR_MultiProc

- All Implemented Interfaces:
    PowerModel

      public class PowerModelSpecPower_BAZAR_MultiProc
      extends PowerModelSpecPowerDVFS

  PowerModel for Tom's Host. CPU Intel(R) Core(TM)2 Quad CPU Q6700 @ 2.66GHz and 4GB Ram running with Ubuntu TLS 10.4 (Linux kernel 2.6.32). All energy consumption measures have been done on this host with Plogg wireless electricity meter that allow to see and save the live power consumption. Values measured by changing frequency of 1 core (of 4)
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSpecPower_BAZAR_MultiProc(List<Pe> PeList_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPMax(int frequency)`
    `double` | `getPMin(int frequency)`
    `double` | `getPower(double utilization)` Get power consumption by the utilization percentage according to the power model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSpecPower_BAZAR_MultiProc

          public PowerModelSpecPower_BAZAR_MultiProc(List<Pe> PeList_)

  - ### Method Detail

    - #### getPower

          public double getPower(double utilization)
                          throws IllegalArgumentException

      Description copied from interface: `PowerModel`
      Get power consumption by the utilization percentage according to the power model.
      Specified by:
        `getPower` in interface `PowerModel`
      Overrides:
        `getPower` in class `PowerModelSpecPowerDVFS`
      Parameters:
        `utilization` - the utilization
      Returns:
        power consumption
      Throws:
        `IllegalArgumentException` - the illegal argument exception

    - #### getPMin

          public double getPMin(int frequency)

      Specified by:
        `getPMin` in class `PowerModelSpecPowerDVFS`

    - #### getPMax

          public double getPMax(int frequency)

      Specified by:
        `getPMax` in class `PowerModelSpecPowerDVFS`

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.